#Makefile

CC=gcc
CFLAGS=-g -fanalyzer
# CFLAGS= -fanalyzer
# LIBS=-lsodium -larchive

SRC_FILES=main.c integrate.c
OBJ_FILES=$(SRC_FILES:.c=.o)

TARGET=main

$(TARGET): $(OBJ_FILES)
	$(CC) $(CFLAGS) $(OBJ_FILES) $(LIBS) -o $(TARGET)

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: clean
clean:
	rm -f $(OBJ_FILES) 
# rm -f $(OBJ_FILES) $(TARGET)
